%define api 1.4
%define	major 0
%define libname	%mklibname zrtpcpp %{api} %{major}
%define develname %mklibname zrtpcpp -d

Summary:	A ccrtp extension for zrtp/Zfone support
Name:		libzrtpcpp
Version:	1.4.6
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.gnu.org/software/commoncpp/commoncpp.html
Source0:	ftp://ftp.gnu.org/gnu/cccrtp/libzrtpcpp-%{version}.tar.gz
Source1:	ftp://ftp.gnu.org/gnu/cccrtp/libzrtpcpp-%{version}.tar.gz.sig
Requires:	ccrtp >= 1.7.0
BuildRequires:	ccrtp-devel >= 1.7.0
BuildRequires:	pkgconfig
BuildRequires:	libstdc++-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libCommonC++-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This library is a GPL licensed extension to the GNU RTP Stack, ccrtp, that
offers compatibility with Phil Zimmermann's zrtp/Zfone voice encryption, and
which can be directly embedded into telephony applications.  The current
release is based on a beta draft of the zrtp spec.

%package -n	%{libname}
Summary:	Abstract asynchronous event notification library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:	%{mklibname zrtpcpp 0} < %{version}-%{release}

%description -n	%{libname}
This library is a GPL licensed extension to the GNU RTP Stack, ccrtp, that
offers compatibility with Phil Zimmermann's zrtp/Zfone voice encryption, and
which can be directly embedded into telephony applications.  The current
release is based on a beta draft of the zrtp spec.

%package -n	%{develname}
Summary:	Static library and header files for the libzrtpcpp library
Group:		Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d zrtpcpp 0.9}

%description -n	%{develname}
This library is a GPL licensed extension to the GNU RTP Stack, ccrtp, that
offers compatibility with Phil Zimmermann's zrtp/Zfone voice encryption, and
which can be directly embedded into telephony applications.  The current
release is based on a beta draft of the zrtp spec.

This package provides the header files, link libraries, and documentation for
building applications that use libzrtpcpp.

%prep
%setup -q

%build
export LDFLAGS="-s"
%configure2_5x
%make LIBTOOL=%_bindir/libtool

%install
rm -rf %{buildroot}

%makeinstall_std
rm -rf %{buildroot}/%{_infodir}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/*%{api}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/libzrtpcpp
%{_includedir}/libzrtpcpp/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc




%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.6-3mdv2011.0
+ Revision: 609791
- rebuild

* Wed Feb 24 2010 Angelo Naselli <anaselli@mandriva.org> 1.4.6-2mdv2010.1
+ Revision: 510817
- rebuilt against new commoncpp2 1.8

* Sun Nov 22 2009 Jérôme Brenier <incubusss@mandriva.org> 1.4.6-1mdv2010.1
+ Revision: 469060
- new version 1.4.6

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 1.4.5-1mdv2010.0
+ Revision: 402760
- New version 1.4.5

* Wed Feb 11 2009 Emmanuel Andry <eandry@mandriva.org> 1.4.3-1mdv2009.1
+ Revision: 339572
- New version 1.4.3
- New version 1.4.2

* Fri Dec 26 2008 Emmanuel Andry <eandry@mandriva.org> 1.4.1-1mdv2009.1
+ Revision: 319448
- New version 1.4.1
- New API

* Wed Oct 22 2008 Funda Wang <fwang@mandriva.org> 1.3.0-2mdv2009.1
+ Revision: 296524
- fix libname according to lib policy

* Sun Aug 17 2008 Emmanuel Andry <eandry@mandriva.org> 1.3.0-1mdv2009.0
+ Revision: 272980
- New version
- fix major

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-3mdv2009.0
+ Revision: 250755
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Feb 10 2008 Emmanuel Andry <eandry@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 164816
- New version
- new devel policy
- new major

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.0-3mdv2008.1
+ Revision: 136572
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Feb 25 2007 Emmanuel Andry <eandry@mandriva.org> 0.9.0-2mdv2007.0
+ Revision: 125490
- rebuild

* Tue Dec 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-1mdv2007.1
+ Revision: 95789
- Import libzrtpcpp

* Tue Dec 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-1mdv2007.1
- initial Mandriva package

